import java.util.Stack;

public class Vehiculo {
    Stack<Cargable> cargas;
    PortaBici portaBici;

    public Vehiculo() {
        this.portaBici = new PortaBici();
        this.cargas = new Stack<>();
    }

    public void cargarSiEsPosible(Cargable cargo){
        cargo.esCargable(this);
    }

    public void cargar(Cargable cargo) {
        this.cargas.push(cargo);
    }

    public Cargable descargar() {
        return this.cargas.pop();
    }

    public void cargarPortaBici(Cargable cargo){
        this.portaBici.cargar(this, cargo);
    }

}
